<template>
  <div
    :style="
      `background-image: url(${coronavirusImage}); background-size: cover; height: 100vh; width: 100%;`
    "
  >
    <div class="container">
      <div class="row justify-content-center align-items-center" style="height:90vh">
        <div class="col-sm-12 col-md-8 col-lg-5">
          <div class="card opacity-5">
            <div class="card-body p-5">
              <div class="text-center">
                <img src="@/assets/logo.png" width="180" />
              </div>
              <form class="mt-4">
                <div class="form-group">
                  <label>E-mail</label>
                  <input type="text" class="form-control" name="username" />
                </div>
                <div class="form-group">
                  <label>Senha</label>
                  <input type="password" class="form-control" name="password" />
                </div>
                <div class="d-flex justify-content-end">
                  <router-link to="/modules" class="d-flex align-items-center">
                    <a-button type="primary" size="large" class="d-flex align-items-center">
                      Entrar
                      <a-icon type="login" />
                    </a-button>
                  </router-link>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import Coronavirus from "@/assets/img/background-login.jpg";
export default {
  data() {
    return {
      coronavirusImage: Coronavirus,
      isLoading: false,
    };
  },
};
</script>

<style scoped>
.form-signin {
  width: 100%;
  max-width: 330px;
  padding: 15px;
  margin: 0 auto;
}
.form-signin .checkbox {
  font-weight: 400;
}
.form-signin .form-control {
  position: relative;
  box-sizing: border-box;
  height: auto;
  padding: 10px;
  font-size: 16px;
}
.form-signin .form-control:focus {
  z-index: 2;
}
.form-signin input[type="email"] {
  margin-bottom: -1px;
  border-bottom-right-radius: 0;
  border-bottom-left-radius: 0;
}
.form-signin input[type="password"] {
  margin-bottom: 10px;
  border-top-left-radius: 0;
  border-top-right-radius: 0;
}
</style>
